﻿@model ViewModels.Trade.AdsDetailViewModel

@{
    var tradeType = (Model.IsSell) ? "buy" : "sell";
}


<h2 class="page-head">I want to @tradeType <b>@Model.CoinName</b> in '<b>@Model.CountryName'</b> from <i><a href="/@ViewBag.Lang/User/detail/@Model.Username">@Model.Username</a></i></h2>
<br />
<div class="row">
    <div class="col-md-6">
        <div class="panel panel-success">
            <div class="panel-heading">
                <h4>Trade detail</h4>
            </div>
            <div class="panel-body">

                <div class="row">
                    <div class="col-md-4 trade-detail-item label-control">
                        @Html.DisplayNameFor(model => model.CurrencyUnitPriceOfCoin)
                    </div>
                    <div class="col-md-8 trade-detail-item label-control">
                        <b>@Html.DisplayFor(model => model.CurrencyUnitPriceOfCoin)</b> (@Html.DisplayFor(model => model.CurrencyName) / @Html.DisplayFor(model => model.CoinName))
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-4 trade-detail-item label-control">
                        @Html.DisplayNameFor(model => model.PaymentMethodName)
                    </div>
                    <div class="col-md-8 trade-detail-item label-control">
                        @Html.DisplayFor(model => model.PaymentMethodName)
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-4 trade-detail-item label-control">
                        @if (Model.IsSell)
                        {
                            <text>@WebResources.Prop.Ads_Username_Buyer</text>
                        }
                        else
                        {
                            <text>@WebResources.Prop.Ads_Username_Seller</text>
                        }
                    </div>
                    <div class="col-md-8 trade-detail-item label-control">
                        <i><a href="/@ViewBag.Lang/User/detail/@Model.Username">@Model.Username</a></i>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-4 trade-detail-item label-control">
                        @if (Model.IsSell)
                        {
                            <text>@WebResources.Prop.Ads_Username_Buyer</text>
                        }
                        else
                        {
                            <text>@WebResources.Prop.Ads_Username_Seller</text>
                        }
                        @Html.DisplayNameFor(model => model.IsUserVerified)
                    </div>
                    <div class="col-md-8 trade-detail-item label-control">
                        @if (Model.IsUserVerified)
                        {
                            <i class="fa fa-check verified-status"></i>
                        }
                        else
                        {
                            <i class="verified-status">—</i>
                        }
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-4 trade-detail-item label-control">
                        @Html.DisplayNameFor(model => model.MinimumCurrencyPrice)
                    </div>
                    <div class="col-md-8 trade-detail-item label-control">
                        @Html.DisplayFor(model => model.MinimumCurrencyPrice) - @Html.DisplayFor(model => model.MaximumCurrencyPrice) (@Html.DisplayFor(model => model.CurrencyName))
                    </div>
                </div>
            </div>
        </div>

        <div class="submit-offer">
            <div class="panel panel-primary">
                <div class="panel-heading">Submit Request</div>
                <div class="panel-body">
                    <div>
                        <label for="offerAmountTextBox" class="label-control">Amount:</label>
                        <input id="offerAmountTextBox" required="required" type="text" class="offer-amount-textbox" value="0.00" />
                    </div>
                    <div>
                        <label id="paymentCurrencyLabel" class="payment-currency-label">0.00 </label> @Model.CurrencyName
                    </div>
                    <div class="clr"></div>
                    @if (User.Identity.IsAuthenticated)
                    {
                        if (Model.IsSell)
                        {
                            <br />
                            <input type="button" id="submitOffer" class="btn btn-primary" value="@WebResources.StaticText.SubmitBuyRequest" />
                        }
                        else
                        {
                            <br />
                            <input type="button" id="submitOffer" class="btn btn-primary" value="@WebResources.StaticText.SubmitSellRequest" />
                        }
                    }
                </div>
            </div>
        </div>

        @if (!User.Identity.IsAuthenticated)
        {
            <div class="alert alert-warning">
                @Html.Raw(WebResources.StaticText.PleaseSigninToSubmitRequest.Replace("[lang]", ViewContext.RouteData.Values["lang"].ToString()).Replace("[returnUrl]", Request.Url.ToString()))
            </div>
        }
    </div>
    <div class="col-md-6">
        <div class="panel panel-default">
            <div class="panel-heading"><h4>Terms of trade with <i>@Model.Username</i></h4></div>
            <div class="panel-body">
                <p>@Model.Description</p>
            </div>
        </div>

        <div class="alert alert-info">
            some helping text goes here ... <br />
            some helping text goes here ... <br />
            some helping text goes here ... <br />
        </div>
    </div>
</div>

@section scripts
{
    <script>
        $(function () {
            var adsId = @Model.AdsId;
            var unitPrice = @Model.CurrencyUnitPriceOfCoin;

            // ========================================= events ======================================
            $("#offerAmountTextBox").keyup(function () {
                var offerAmount = $("#offerAmountTextBox").val();

                if(isAmountValid(offerAmount))
                {
                    $("#paymentCurrencyLabel").html(parseFloat(offerAmount) * unitPrice);
                }
                else {
                    $("#paymentCurrencyLabel").html("0");
                }
            });


            $("#submitOffer").click(function(){
                var offerAmount = $("#offerAmountTextBox").val();
                
                if(isAmountValid(offerAmount))
                {
                    Ajax('Post', '/@ViewContext.RouteData.Values["lang"]/member/offer/create',{ 'amount' : offerAmount, 'adsId' : @Model.AdsId }, function (rsp, textStatus, xhr) {
           
                        if (rsp.HasError) {
                            showMessage(false, rsp.Message);
                        }
                        else {
                            window.location.href = rsp.Data;
                        }

                    }, 'json');
                }
                else {
                    showMessage(false, "Please fill amount");
                }
            });


            // ======================================== functions =================================
            function isAmountValid(amount)
            {
                if (amount == "") {
                    return false;
                }

                if (amount.trim() == "") {
                    return false;
                }

                if (isNaN(amount)) {
                    return false;
                }

                if (amount <= 0) {
                    return false;
                }

                return true;
            }

        });
    </script>
}

